New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Mac OS X 10.8.2 install plugin problem #13

Closed
kalimatas opened this Issue Mar 20, 2013 · 7 comments

Comments

Projects
None yet
2 participants
@kalimatas

kalimatas commented Mar 20, 2013

Hi,

It's me again. I have successfully built libpinga_engine.so and I have these files in my mysql plugin directory /usr/local/mysql/lib/plugin:

-rwxr-xr-x   1 root  wheel   166K 20 мар 21:20 libpinba_engine.0.so
-rw-r--r--   1 root  wheel   201K 20 мар 21:20 libpinba_engine.a
-rwxr-xr-x   1 root  wheel   1,1K 20 мар 21:20 libpinba_engine.la
lrwxr-xr-x   1 root  wheel    20B 20 мар 21:20 libpinba_engine.so -> libpinba_engine.0.so

Now I'm getting an error while trying to install this plugin:

mysql> install plugin pinba soname 'libpinba_engine.so';
ERROR 1126 (HY000): Can't open shared library '/usr/local/mysql/lib/plugin/libpinba_engine.so' (errno: 2 dlopen(/usr/local/mysql/lib/plugin/libpinba_engine.so, 2): no suitable image found.  Did find:
    /usr/local/mysql/lib/plugin/libp)

I did make cmake in mysql source root directory with option -DBUILD_CONFIG=mysql_release to configure it with the same options I have on my machine, and compilation of Pinba engine went without problems.

@tony2001

This comment has been minimized.

Show comment
Hide comment
@tony2001

tony2001 Mar 21, 2013

Owner

What do you get with ldd /usr/local/mysql/lib/plugin/libpinba_engine.so ?

Owner

tony2001 commented Mar 21, 2013

What do you get with ldd /usr/local/mysql/lib/plugin/libpinba_engine.so ?

@kalimatas

This comment has been minimized.

Show comment
Hide comment
@kalimatas

kalimatas Mar 21, 2013

I have no ldd on Mac OS X, but I have otool with the same functionality installed. The output:

libpinba_engine.so:
    /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
    /usr/local/lib/libprotobuf-lite.8.dylib (compatibility version 9.0.0, current version 9.0.0)
    /usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.5)
    /usr/local/lib/libevent-2.0.5.dylib (compatibility version 7.0.0, current version 7.9.0)
    /usr/local/lib/libJudy.1.0.3.dylib (compatibility version 2.0.0, current version 2.3.0)
    /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)

kalimatas commented Mar 21, 2013

I have no ldd on Mac OS X, but I have otool with the same functionality installed. The output:

libpinba_engine.so:
    /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
    /usr/local/lib/libprotobuf-lite.8.dylib (compatibility version 9.0.0, current version 9.0.0)
    /usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.5)
    /usr/local/lib/libevent-2.0.5.dylib (compatibility version 7.0.0, current version 7.9.0)
    /usr/local/lib/libJudy.1.0.3.dylib (compatibility version 2.0.0, current version 2.3.0)
    /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
@tony2001

This comment has been minimized.

Show comment
Hide comment
@tony2001

tony2001 Mar 21, 2013

Owner

Did find: /usr/local/mysql/lib/plugin/libp<...>)
The error message is truncated, is there full version of it in the mysqld.log?

Owner

tony2001 commented Mar 21, 2013

Did find: /usr/local/mysql/lib/plugin/libp<...>)
The error message is truncated, is there full version of it in the mysqld.log?

@kalimatas

This comment has been minimized.

Show comment
Hide comment
@kalimatas

kalimatas Mar 21, 2013

Unfortunately, I have not managed to get full error description :( It's not even written in mysql log, I only see it in terminal or with show errors but it is also truncated.

kalimatas commented Mar 21, 2013

Unfortunately, I have not managed to get full error description :( It's not even written in mysql log, I only see it in terminal or with show errors but it is also truncated.

@tony2001

This comment has been minimized.

Show comment
Hide comment
@tony2001

tony2001 Mar 22, 2013

Owner

Well, I'm afraid I can't help you with MacOS.
Try asking other people? Or use Linux, heh.

Owner

tony2001 commented Mar 22, 2013

Well, I'm afraid I can't help you with MacOS.
Try asking other people? Or use Linux, heh.

@kalimatas

This comment has been minimized.

Show comment
Hide comment
@kalimatas

kalimatas Mar 25, 2013

I made it! Actually I don't know what was the problem but I managed to build Pinba engine by upgrading MySQL to 5.6.10 from 5.5.28.

kalimatas commented Mar 25, 2013

I made it! Actually I don't know what was the problem but I managed to build Pinba engine by upgrading MySQL to 5.6.10 from 5.5.28.

@kalimatas kalimatas closed this Mar 25, 2013

@tony2001

This comment has been minimized.

Show comment
Hide comment
@tony2001

tony2001 Mar 25, 2013

Owner

Now that is strange.
But thanks for the update anyway.

Owner

tony2001 commented Mar 25, 2013

Now that is strange.
But thanks for the update anyway.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment